<?php

Route::group(['middleware' => 'web', 'prefix' => 'admin','as' => 'admin'], function()
{
    Route::group(['middleware' => 'web', 'prefix' => 'qa', 'namespace' => 'Modules\QA\Http\Controllers' , 'as'=>'.qa'], function()
    {
        Route::group(['middleware' => 'web', 'prefix' => 'list','as' => '.list' ], function()
        {
            Route::get('/delete','QAController@destroy');
            Route::get('/','QAController@index');
            Route::get('/create','QAController@add')->name('.create');
            Route::post('store', 'QAController@store')->name('.store');
            Route::get('/edit','QAController@edit')->name('.edit');
            Route::post('update/{id}', 'QAController@update')->name('.update');
        });
    });
});

Route::middleware(['auth:api'])->group(function () {

    Route::group([ 'prefix' => 'qa', 'namespace' => 'Modules\QA\Http\Controllers'], function()
    {
        Route::get('/', 'QAController@index');
        Route::get('show', 'QAController@show');
    });
});